Bug 321840 - No access to other users collections (CalDav, CardDav) on DAViCal
Summary: No access to other users collections (CalDav, CardDav) on DAViCal
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: 4.13
Platform: Archlinux Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-01 21:33 UTC by Tim Schlotfeldt
Modified: 2014-09-03 07:07 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Schlotfeldt 2013-07-01 21:33:03 UTC
Akonadi fails to read other users collections despite the fact that the access rights are correctly set.
Comment 1 Martin Koller 2014-01-31 21:20:29 UTC
I just set up my owncould server version 6 with my calendar which I share with my wife, and this works (she sees my calendar on her KDE system and she can add and delete entries)
(this is KDE 4.12.1 on openSuse)
Comment 2 Tim Schlotfeldt 2014-02-18 20:56:51 UTC
It may works with owncloud but still it doesn't works with DaviCal. And DaviCal really tries to be standard complient.
Comment 3 Thomas Wunder 2014-02-26 08:08:15 UTC
This may be related to the bug that I have reported recently (however there's still no activity):
https://bugs.kde.org/show_bug.cgi?id=331321
Comment 4 Tim Schlotfeldt 2014-08-11 10:50:15 UTC
Version 4.13.3 still not working
Comment 5 Tim Schlotfeldt 2014-08-11 10:53:57 UTC
DaviCal server. I'am able to see my ressorces:

  https://example.com/caldav.php/

This finds all mein ressources.

But: User B gave mir read access to two of her calenders. These calendars never showed up. It is also not possible to point akonadi to the ressource by hand. For example,

  https://example.com/caldav.php/user-b/calender1

wouldn't be accepted by akonadi.
Comment 6 Grégory Oestreicher 2014-09-01 12:19:28 UTC
Git commit 1e211139b7155d442f84d12d19a154d4181e3eb5 by Grégory Oestreicher.
Committed on 01/09/2014 at 12:18.
Pushed by goestreicher into branch 'KDE/4.14'.

Don't return early without decreasing the subjob counter

M  +1    -0    resources/dav/common/davcollectionsfetchjob.cpp

http://commits.kde.org/kdepim-runtime/1e211139b7155d442f84d12d19a154d4181e3eb5
Comment 7 Grégory Oestreicher 2014-09-01 12:20:20 UTC
Please note that even with this fix you'll have to give the calendar URL. Shared calendars are not auto discovered yet.

Cheers,
Grégory
Comment 8 Tim Schlotfeldt 2014-09-03 07:07:55 UTC
Cool, I'll try that out.

Thank you, Grégory.

 -Tim